% Surface_Plot_D3_Ex
 % www.TestingDocs.com
 points = linspace(-3,3,30);
 [x1,y1] = meshgrid(points,points);
 x=[x1,y1];
 z(x)= -3./(1+ x(1).^2 + y(1).^2);
 w=@z;
 surf(x1,y1,w);
 xlabel("x-axis");
 ylabel("y-axis");
 zlabel("z-axis");
 title("Surface Plot Example - www.TestingDocs.com");